#ifndef UTIL_H_ASDFASDFASD
#define UTIL_H_ASDFASDFASD
#include "arbstack.h"
#include <stdlib.h>

STACKDECL(char *,charp);

/* typed malloc: allocates an array of 'num' 'type's */
#define talloc(type,num) (( type *)malloc(sizeof(type)*(num)))

const char *strclone(const char *s);
int exactIsStr(const char *test, const char *gold);
void chomp (char *s);

#ifndef UNIX
/* Windows-only */

/* yeah, I shouldn't have a hard-coded limit.  If this were real code,
   I'd expand this if the user typed in a really long input line */
#define MAX_INPUT_LINE 500

const char *readline(const char *prompt);

void wperror();

#endif
#endif /* util_h */
